# $Revision: 1.23 $, $Date: 2002/10/05 12:41:29 $
Summary:	C library optimized for size
Summary(pl):	Biblioteka standardowa C zoptymalizowana na rozmiar
Summary(pt_BR): libc pequena otimizada para tamanho
Name:		dietlibc
Version:	0.21
Release:	1
Epoch:		2
License:	GPL v2
Group:		Development/Libraries
Source0:	http://www.fefe.de/dietlibc/%{name}-%{version}.tar.bz2
Patch0:		%{name}-ppc.patch
Patch1:		%{name}-opt.patch
URL:		http://www.fefe.de/dietlibc/
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		dietprefix	%{_prefix}/%{_target_cpu}-linux-dietlibc
# for some reason known only to rpm there must be "\\|" not "\|" here
%define		libarch		%(echo %{_target_cpu} | sed -e 's/i.86\\|athlon/i386/')

%description
Small libc for building embedded applications.

%description -l pl
Niewielka libc do budowania aplikacji wbudowanych.

%description -l pt_BR
A diet libc e' uma libc otimizada para criar pequenos binrios
estaticamente linkados para Linux.

%package devel
Summary:	Development files for dietlibc
Summary(pl):	Pliki dla programistw uywajcych dietlibc
Summary(pt_BR): libc pequena otimizada para tamanho
Group:		Development/Libraries
Requires:	%{name} = %{version}

%description devel
Small libc for building embedded applications - development files.

%description devel -l pl
Niewielka libc do budowania aplikacji wbudowanych - pliki dla
programistw.

%package static
Summary:	Static libraries for dietlibc
Summary(pl):	Biblioteki statyczne dla dietlibc
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}

%description static
Small libc for building embedded applications - static libraries.

%description static -l pl
Niewielka libc do budowania aplikacji wbudowanych - biblioteki
statyczne.

%prep
%setup -q 
%patch0 -p1
%patch1 -p1

%build
OPTFLAGS="%{rpmcflags}"; export OPTFLAGS
%ifarch sparc sparcv9 
sparc32 \
%endif
%{__make} prefix=%{dietprefix} all
%ifarch %{ix86}
%{__make} prefix=%{dietprefix} dyn
%endif

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_sysconfdir},%{_bindir},%{_mandir}/man1}

%{__make} install DESTDIR=$RPM_BUILD_ROOT prefix=%{dietprefix}

mv $RPM_BUILD_ROOT%{dietprefix}/bin/* $RPM_BUILD_ROOT%{_bindir}
mv $RPM_BUILD_ROOT%{dietprefix}/man/man1/* $RPM_BUILD_ROOT%{_mandir}/man1
rm -rf $RPM_BUILD_ROOT%{dietprefix}/{bin,man}
rm -f $RPM_BUILD_ROOT%{_bindir}/diet-dyn

cat > $RPM_BUILD_ROOT%{_bindir}/%{_target_cpu}-dietlibc-gcc <<EOF
#!/bin/sh
exec %{_bindir}/diet gcc "\$@"
EOF

rm -rf $RPM_BUILD_ROOT%{dietprefix}/include/{asm,linux}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc TODO README THANKS CAVEAT CHANGES FAQ BUGS AUTHOR
%dir %{dietprefix}
%dir %{dietprefix}/lib-%{libarch}
%ifarch %{ix86}
%attr(755,root,root) %{dietprefix}/lib-%{libarch}/*.so
%{_sysconfdir}/*
%endif

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/*
%{dietprefix}/include
%attr(755,root,root) %{dietprefix}/lib-%{libarch}/*.o
%{_mandir}/man*/*

%files static
%defattr(644,root,root,755)
%{dietprefix}/lib-%{libarch}/*.a

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: dietlibc.spec,v $
Revision 1.23  2002/10/05 12:41:29  areq
- 0.21, STBR

Revision 1.22  2002/08/25 16:22:40  qboosh
- build different versions for i[356]86
- opt patch - don't force -march=i386 on x86 (let optflags work)

Revision 1.21  2002/08/23 08:32:40  marcus
- new version 0.20
- dynamic linker is only for ix86

Revision 1.20  2002/08/07 02:20:30  kloczek
- run %build in sparc32 enviroment on sparc/sparcv9,
- remove gzipping %doc.

Revision 1.19  2002/08/06 19:58:22  marcus
- new version 0.19 (dynlinker on ppc still not ready)
- use new %%doc

Revision 1.18  2002/08/06 18:20:30  marcus
- start upgrade to 0.18

Revision 1.17  2002/06/10 16:48:10  kloczek
- realy releas 2 :)

Revision 1.16  2002/06/10 14:21:08  malekith
- -static requires -devel
- release 2

Revision 1.15  2002/05/12 20:58:57  marcus
- revert last change

Revision 1.14  2002/05/11 19:53:54  marcus
- added ExclusiveArch: due to: libdl/_dl_rel.h:22: #error "_dl_rel.h: NOT SUPPORTED"
on PPC
- rel.2.

Revision 1.13  2002/05/11 10:47:22  kloczek
- updated to 0.17 and merge translations from Conectiva.

Revision 1.12  2002/04/25 16:11:55  arturs
fixed a small typo

Revision 1.11  2002/03/15 14:22:55  malekith
- source is .bz2 not .gz

Revision 1.10  2002/03/15 14:14:20  malekith
- upgraded to 0.15
- split into main/devel/static subpackages
- added %{_arch}-dietlibc-gcc wrapper

Revision 1.9  2002/02/22 23:28:48  kloczek
- removed all Group fields translations (our rpm now can handle translating
  Group field using gettext).

Revision 1.8  2002/01/18 02:12:42  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.7  2001/11/21 14:56:16  qboosh
- adapterized, pl translations

Revision 1.6  2001/08/23 16:51:16  filon
- changed: make -> %%{__make}

Revision 1.5  2001/04/10 14:15:16  klakier
- cvs ver 20010410

Revision 1.4  2001/04/07 15:51:49  klakier
- added URL

Revision 1.3  2001/04/04 21:46:39  kloczek
- more fixes but still NYF.

Revision 1.2  2001/04/04 20:53:00  kloczek
- partialy rewrited and updated to 0.8.

Based on MDK spec file.
